nsec3params_struct Struct Reference

`#include <nsec3params.h>`

## Data Fields

signconf_type * | sc
uint8_t | algorithm
uint8_t | flags
uint16_t | iterations
uint8_t | salt_len
uint8_t * | salt_data
ldns_rr * | rr

## Detailed Description

Definition at line 47 of file nsec3params.h.

## Field Documentation

## algorithm

uint8_t nsec3params_struct::algorithm

Definition at line 49 of file nsec3params.h.

Referenced by nsec3params_create(), and zone_publish_nsec3param().

## flags

uint8_t nsec3params_struct::flags

Definition at line 50 of file nsec3params.h.

Referenced by nsec3params_create().

## iterations

uint16_t nsec3params_struct::iterations

Definition at line 51 of file nsec3params.h.

Referenced by nsec3params_create(), and zone_publish_nsec3param().

## rr

ldns_rr* nsec3params_struct::rr

Definition at line 54 of file nsec3params.h.

Referenced by nsec3params_create(), zone_backup2(), zone_publish_nsec3param(), and zone_rollback_nsec3param().

## salt_data

uint8_t* nsec3params_struct::salt_data

Definition at line 53 of file nsec3params.h.

Referenced by nsec3params_cleanup(), nsec3params_create(), and zone_publish_nsec3param().

## salt_len

uint8_t nsec3params_struct::salt_len

Definition at line 52 of file nsec3params.h.

Referenced by nsec3params_create(), and zone_publish_nsec3param().

## sc

signconf_type* nsec3params_struct::sc

Definition at line 48 of file nsec3params.h.

Referenced by nsec3params_create().

The documentation for this struct was generated from the following file:

- src/signer/nsec3params.h